# Air Freight: DIN EN 16258

💡 **High-Level Description:**

The DIN EN 16258 standard, initiated by the European Committee for Standardization, offers a robust methodology for calculating transport services' energy consumption and greenhouse gas emissions, including the air freight sector. As global trade has exponentially grown, so has the urgency to standardize and mitigate the environmental impact of transporting goods. DIN EN 16258 is tailored to address this by introducing a comprehensive method that considers various aspects like aircraft type, fuel consumption, flight altitude, and cargo type.

More than just a calculation tool, the DIN EN 16258 standard provides a framework for companies to report their emissions transparently. Ensuring a uniform measure allows for comparison across the industry, incentivizing companies to optimize their operations and reduce their carbon emissions. As European countries push for greener logistics, adhering to the DIN EN 16258 standard signifies the commitment to sustainable practices and positions companies at the forefront of an eco-conscious transition.

## **Sample API Requests**

### A. Without audit mode (for pre-booking/quotes)

```json
{
  "expand": ["items"],
  "items": [
    {
      "audit": false,
      "type": "air_freight",
      "external_reference": "test_1",
      "origin": "MIL",
      "destination": "HAM",
      "weight_in_tonnes": 5,
      "plane_type": "freighter",
      "energy_scope": "wtw",
      "methodology": "DIN-EN-16258"
    }
  ]
}
```

### B. With audit mode (for finalized/post-booking calculations)

```json
{
  "expand": ["items"],
  "audit_for": "<Auditable Entity ID>",
  "items": [
    {
      "audit": true,
      "type": "air_freight",
      "external_reference": "test_1",
      "origin": "MIL",
      "destination": "HAM",
      "weight_in_tonnes": 5,
      "plane_type": "freighter",
      "energy_scope": "wtw",
      "methodology": "DIN-EN-16258"
    }
  ]
}
```

> **Note:** `audit_for` is optional. Provide when calculating on behalf of a specific Auditable entity; otherwise omit.

## **API Request Items**

* `"type"`: `"air_freight"` (required)
* `"methodology"`: `"DIN-EN-16258"` (required)
* `"external_reference"`: A unique identifier that helps you link the resulting emissions to the requested item. Especially useful if multiple items are requested since SQUAKE cannot guarantee to keep the same order. The maximum length is 128 characters.
* `"origin"`: SQUAKE will try to resolve the origin/destination regardless of its format. Ideally, for addresses use the Post standard, for airports use IATA/ICAO code (format: `^[A-Z]{3,4}$`, e.g., `"MUC"`), for other locations used in trade and transportation use UN/LOCODE codes (format: `^[A-Z]{2}\W?[A-Z2-9]{3}$`, e.g., `"DEHAM"`). You can also pass lat/long (format: `^[-+]?\d{1,3}\.\d{1,10}\s?,\s?[-+]?\d{1,3}\.\d{1,10}$`, e.g., `"+40.712,-74.006"`).
* `"destination"`: SQUAKE will try to resolve the origin/destination regardless of its format. Ideally, for addresses use the Post standard, for airports use IATA/ICAO code (format: `^[A-Z]{3,4}$`, e.g., `"MUC"`), for other locations used in trade and transportation use UN/LOCODE codes (format: `^[A-Z]{2}\W?[A-Z2-9]{3}$`, e.g., `"DEHAM"`). You can also pass lat/long (format: `^[-+]?\d{1,3}\.\d{1,10}\s?,\s?[-+]?\d{1,3}\.\d{1,10}$`, e.g., `"+40.712,-74.006"`).
* `"distance_in_km"`: Prioritized over `origin` and `destination`. If you don't have a `distance_in_km`, you can use `origin` and `destination` and the distance will be automatically resolved. If you pass both `distance_in_km` and `origin`/`destination`, then `distance_in_km` will be used.
* `"weight_in_tonnes"`: Numeric value.
* `"plane_type"`: Values are `belly_freighter` and `freighter`.
* `"energy_scope"`: Values are `ttw` or `wtw`. Default value is `wtw`.
* `"audit"`: boolean (optional). Set to `true` to create immutable audit records for finalized calculations. Must be enabled for your account.

#### **Default values**

* `"plane_type": "belly_freighter"`
* `"energy_scope": "wtw"`

### **Sample API Response**

```json
{
    "carbon_quantity": 2040166,
    "carbon_unit": "gram",
    "items": [
        {
            "carbon_quantity": 2040166,
            "carbon_unit": "gram",
            "external_reference": "test_1",
            "type": "air_freight",
            "methodology": "DIN-EN-16258",
            "distance": 981.0,
            "distance_unit": "kilometer",
            "algorithm_specifics": {
                "algorithm_type": "DIN-EN-16258",
                "data": {
                    "energy_factor_ttw_in_MJ": 24,
                    "energy_factor_wtw_in_MJ": 28,
                    "ghg_emissions_ttw_in_g": 1672095,
                    "ghg_emissions_wtw_in_g": 2040166
                }
            }
        }
    ]
}
```

## **Bibliography**

* IATA Carbon Offset Program: Frequently Asked Questions (2022, April 19). IATA. Retrieved from <https://www.iata.org/contentassets/922ebc4cbcd24c4d9fd55933e7070947/icop\\_faq\\_general-for-airline-participants.pdf>
* IATA Recommended Practice -RP 1726 (n.d.). IATA. Retrieved from <https://www.iata.org/en/programs/environment/passenger-emissions-methodology/#:\\~:text=IATA's%20Recommended%20Practice%20Per%2DPassenger%20CO2%20Calculation%20Methodology%20is%20a,or%20industry%20voluntary%20offset%20program>.
* IATA Recommended Practice 1678 (2014, March 9). IATA. Retrieved from <https://www.iata.org/contentassets/34f5341668f14157ac55896f364e3451/rp-carbon-calculation.pdf>
* Method for Calculating and Declaring Energy Consumption (2013, March). DIN EN 16258. <https://dx.doi.org/10.31030/1894795>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-integration.squake.earth/api-calculations-request-response/logistics/air-freight/air-freight-din-en-16258.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
